// MFC_NopePadDlg.h : header file
//

#if !defined(AFX_MFC_NOPEPADDLG_H__55F8BC5C_1B09_11D4_9FAC_080009EE62AA__INCLUDED_)
#define AFX_MFC_NOPEPADDLG_H__55F8BC5C_1B09_11D4_9FAC_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMFC_NopePadDlg dialog

class CMFC_NopePadDlg : public CDialog
{
// Construction
public:
	BOOL PNCreatePrinterFont( CWnd* pWin, CFont& Font );
	void PNEzMargins( CPageSetupDialog& pPageSetup, int& Left, int& Top, int& Right, int& Bottom );

	CPageSetupDialog m_PageSetupDlg;
	CString m_CurFile;

	CMFC_NopePadDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMFC_NopePadDlg)
	enum { IDD = IDD_MFC_NOPEPAD_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFC_NopePadDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMFC_NopePadDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnExit();
	afx_msg void OnPagesetup();
	afx_msg void OnPrint();
	afx_msg void OnIdPreviewClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFC_NOPEPADDLG_H__55F8BC5C_1B09_11D4_9FAC_080009EE62AA__INCLUDED_)
